%global _empty_manifest_terminate_build 0
Name:           python-pact
Version:        1.12.0
Release:        1
Summary:        Promises library in Python
License:        BSD
URL:            https://github.com/getslash/pact
Source0:        https://files.pythonhosted.org/packages/9d/dc/91ec8721a24b41973be0e148281b0165642a5943d70c0590759046b92f6b/pact-1.12.0.tar.gz
BuildArch:      noarch
%description
Promises library in Python

%package -n python3-pact
Summary:        Promises library in Python
Provides:       python-pact
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-waiting
BuildRequires:  python3-logbook
BuildRequires:  python3-flux
BuildRequires:  python3-pytest
%description -n python3-pact
Promises library in Python

%package help
Summary:        Promises library in Python
Provides:       python3-pact-doc
%description help
Promises library in Python

%prep
%autosetup -n pact-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

#%%check
#%%{__python3} setup.py test

%files -n python3-pact -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Aug 06 2021 OpenStack_SIG <openstack@openeuler.org> - 1.12.0-1
- Package Spec generate
